export default ValidSourceMaps;
declare class ValidSourceMaps extends Audit {
    /**
     * Returns true if the size of the script exceeds a static threshold.
     * @param {LH.Artifacts.Script} script
     * @param {string} finalURL
     * @return {boolean}
     */
    static isLargeFirstPartyJS(script: LH.Artifacts.Script, finalURL: string): boolean;
    /**
     * @param {LH.Artifacts} artifacts
     */
    static audit(artifacts: LH.Artifacts): Promise<{
        score: number;
        details: import("../../types/lhr/audit-details.js").default.Table;
    }>;
}
export namespace UIStrings {
    const title: string;
    const failureTitle: string;
    const description: string;
    const columnMapURL: string;
    const missingSourceMapErrorMessage: string;
    const missingSourceMapItemsWarningMesssage: string;
}
import { Audit } from "./audit.js";
//# sourceMappingURL=valid-source-maps.d.ts.map